import { ScrollBarOptions } from '@niku/ez-scrollbar-core';
export * from '@niku/ez-scrollbar-core';
import * as react_jsx_runtime from 'react/jsx-runtime';
import { HTMLAttributes } from 'react';

interface HorizontalScrollBarProps extends Omit<ScrollBarOptions, "scrollBar">, HTMLAttributes<HTMLDivElement> {
}
declare const HorizontalScrollBar: ({ container, autoHide, modifier, updateStyle, style, ...props }: HorizontalScrollBarProps) => react_jsx_runtime.JSX.Element;

interface VerticalScrollBarProps extends Omit<ScrollBarOptions, "scrollBar">, HTMLAttributes<HTMLDivElement> {
    container?: HTMLElement;
    autoHide?: boolean;
}
declare const VerticalScrollBar: ({ container, modifier, autoHide, updateStyle, style, ...props }: VerticalScrollBarProps) => react_jsx_runtime.JSX.Element;

interface ScrollBarProps extends HTMLAttributes<HTMLDivElement> {
    /**
     * Horizontal scrollbar props
     * @default true
     */
    horizontal?: boolean | Omit<HorizontalScrollBarProps, "container">;
    /**
     * Vertical scrollbar props
     * @default true
     */
    vertical?: boolean | Omit<VerticalScrollBarProps, "container">;
}
declare const ScrollBar: ({ children, vertical, horizontal, ...props }: ScrollBarProps) => react_jsx_runtime.JSX.Element;

export { HorizontalScrollBar, type HorizontalScrollBarProps, ScrollBar, type ScrollBarProps, VerticalScrollBar, type VerticalScrollBarProps };
